<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__suggested__data__length__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_suggested_data_length_info_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__suggested__data__length__info__t_1a5132c1da91a86f0984652212d71b93ac" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_suggested_data_length_info_t::suggestedTxOctets</definition>
        <argsstring />
        <name>suggestedTxOctets</name>
        <briefdescription>
<para>Controller's maximum transmitted number of payload octets to be used for new connections. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="562" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="562" />
      </memberdef>
      <memberdef id="structcy__stc__ble__suggested__data__length__info__t_1a525b0e022888cb25e050011a4c3a6299" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_suggested_data_length_info_t::suggestedTxTime</definition>
        <argsstring />
        <name>suggestedTxTime</name>
        <briefdescription>
<para>Controller's maximum packet transmission time, in microseconds, to be used for new connections. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="567" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="567" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>DLE Suggested Data Length parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="569" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="557" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="558" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__suggested__data__length__info__t_1a5132c1da91a86f0984652212d71b93ac" virt="non-virtual"><scope>cy_stc_ble_suggested_data_length_info_t</scope><name>suggestedTxOctets</name></member>
      <member prot="public" refid="structcy__stc__ble__suggested__data__length__info__t_1a525b0e022888cb25e050011a4c3a6299" virt="non-virtual"><scope>cy_stc_ble_suggested_data_length_info_t</scope><name>suggestedTxTime</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>